#include <stdio.h>
#include <malloc.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <errno.h>
#include "incl.h"
#include "cipl.h"

int main(int argc, char *argv[])
{
  THEADER *it, *ot;
  DATA *ID;
  
  HIPL_Setmemory(4096);
  
  it=(THEADER *)malloc(sizeof(THEADER));
  ot=(THEADER *)malloc(sizeof(THEADER));
  
  ID=(DATA *)malloc(sizeof(DATA));
  HIPL_Initialise(it,argv[1],0,0,ID);
  HIPL_Initialise(ot,NULL,1,0,ID);
  
  HIPL_AllocateMem(it);
  HIPL_AllocateMem(ot);
  
  CIPL_Gaussavg(it, ot, 2, 7);

  HIPL_StoreResult(argv[2], ot);

  HIPL_Closeall(it);
  HIPL_Closeall(ot);

  exit(0);
}
